kind: PersistentVolumeClaim
apiVersion: v1
metadata:
  name: redis-pv
spec:
  storageClassName: default
  accessModes:
    - ReadWriteOnce
  resources:
    requests:
      storage: 50Gi
---
apiVersion: v1
kind: Service
metadata:
  name: redis
  labels:
    app: redis
spec:
  ports:
    - port: 6379
      name: redis      
  selector:
    app: redis
  type: ClusterIP
---
apiVersion: apps/v1
kind: Deployment
metadata:
  creationTimestamp: null
  labels:
    app: redis
  name: redis
  namespace: core
spec:
  replicas: 1
  selector:
    matchLabels:
      app: redis
  strategy:
    rollingUpdate:
      maxSurge: 0
      maxUnavailable: 1
    type: RollingUpdate
  template:
    metadata:
      creationTimestamp: null
      labels:
        app: redis
    spec:
      containers:
      - image: registry.gitlab.com/dereck.zenda/wordpress-pipeline/redis:latest
        imagePullPolicy: IfNotPresent
        name: redis
        ports:
        - containerPort: 6379
          name: redis
          protocol: TCP
        resources:
          limits:
            cpu: 1000m
            memory: 3Gi
          requests:
            cpu: 300m
            memory: 1Gi
        terminationMessagePath: /dev/termination-log
        terminationMessagePolicy: File
        volumeMounts:
        - mountPath: /var/redis/data
          name: redis-vol
      dnsPolicy: ClusterFirst
      restartPolicy: Always
      schedulerName: default-scheduler
      securityContext: {}
      serviceAccount: devops
      serviceAccountName: devops
      terminationGracePeriodSeconds: 30
      volumes:
      - name: redis-vol
        persistentVolumeClaim:
          claimName: redis-pv
status: {}
---
apiVersion: policy/v1beta1
kind: PodDisruptionBudget
metadata:
  name: redis
spec:
  minAvailable: 1
  selector:
    matchLabels:
      app: redis